body {
	font-family: Inter;
	background-color: #fff;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	height: 80vh;
	margin: 0;
	position: relative;
}

.title {
	font-size: 24px;
	color: #555;
	margin-bottom: 60px;
	white-space: nowrap;
	text-align: center;
}

.search-wrapper {
	position: relative;
	margin-bottom: 30px;

}

.area-for-search {
	border: 1px solid #19191933;
	border-radius: 25px;
	box-shadow: 0px 4px 15px 0px #0000001A;
	line-height: 14px;
	outline: none;
	width: 700px;
	padding: 16px 18px;
	padding-right: 70px;
	font-size: 16px;
}

.area-for-search:-webkit-autofill {
	display: none;
}

.area-for-search.has-results {
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
	border-bottom: none;
}

.links-area {
	width: 560px;
	column-gap: 14px;
	row-gap: 24px;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}

.fast-link {
	display: flex;
	flex-direction: column;
	align-items: center;
	padding: 10px;
	padding-left: 20px;
	padding-right: 20px;
	position: relative;
	z-index: 1;
	max-width: 120px;
	box-sizing: border-box;
}

.fast-link.top {
	padding-left: 10px;
	padding-right: 10px;
}

.icon-wrap {
	width: 42px;
	height: 42px;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 50%;
	padding: 5px;
	background-color: #f0f0f0;
	transition: transform 0.2s;
}

.fast-link img {
	max-width: 35px;
	max-height: 35px;

}

.fast-link:hover {
	background-color: #E8E8E9;
}

.fast-link span {
	max-width: 120px;
	line-height: 12.1px;
	letter-spacing: -0.04em;
	text-align: left;
	margin-top: 18px;
	font-size: 12px;
	font-weight: 400;
	text-overflow: clip;
	overflow: hidden;
	white-space: nowrap;
}

.fast-link a {
	text-decoration: none;
	color: inherit;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.dropdownList {
	position: relative;
	display: inline-block;
}

.dropdownList-content {
	display: none;
	position: absolute;
	right: 0;
	top: 50px;
	background: #FFFFFF;
	width: 270px;
	box-sizing: border-box;
	border: 10px solid #ECEFF7;
	padding: 12px;
	z-index: 1;
	border-radius: 20px;
	grid-template-columns: repeat(3, 1fr);
	grid-gap: 10px;
}

.dropdownList.show .dropdownList-content {
	display: grid;
}

.top-area {
	position: absolute;
	top: 10px;
	right: 10px;
	display: flex;
	align-items: center;
	z-index: 2;
}

.button-d {
	width: 30px;
	height: 30px;
	display: flex;
	align-items: center;
	justify-content: center;

	cursor: pointer;
	font-size: 16px;
	margin-right: 15px;
	border-radius: 50%;
	background-color: transparent;
	border: none;
}
.button-d img {
	height: auto !important;
}
.button-d i {
	font-size: 16px;
}

.top-area a {
	color: black;
	text-decoration: none;
}

.top-area .link-outer {
	margin-right: 15px;
	font-size: 13px;
}

.top-area img {
	width: auto;
	border-radius: 0;
	height: 35px;
	object-fit: contain;
}

.remove-button {
	transform: translateX(50%);
	font-size: 52px;
	color: gray;
	cursor: pointer;
	display: none;

	position: absolute;
	top: -15px;
	right: 50%;
}

.fast-link:hover .remove-button {
	display: block;
}

.popup {
	display: none;
	position: fixed;
	z-index: 3;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: auto;
	background-color: rgb(0, 0, 0);
	background-color: rgba(0, 0, 0, 0.5);
	justify-content: center;
	align-items: center;
}

.popup-content input {
	margin-bottom: 20px;
	padding: 10px;
	font-size: 14px;
	border: 1px solid black;
	border-radius: 5px;
}

.popup-content label {
	margin-bottom: 10px;
	font-weight: bold;
}

.popup-content .buttons button {
	padding: 15px 30px;
	border: none;
	border-radius: 5px;
	cursor: pointer;
}

.popup-content .buttons {
	display: flex;
	justify-content: space-between;
}

.popup-content {

	width: 500px;
	border-radius: 8px;
	display: flex;
	flex-direction: column;
	background-color: #fefefe;
	margin: 15% auto;
	padding: 40px;
	border: 1px solid #888;
}



.popup-content .buttons .cancel-button {
	background-color: #B2BEB5;
	color: #FFF;
}

.popup-content .buttons .save-button {
	background-color: #4285f4;
	color: #fff;
}

.action-icons {
	position: absolute;
	right: 15px;
	top: 12px;
	display: flex;
	gap: 7px;
	color: #4285f4;
	cursor: pointer;
}

.action-icons i {
	cursor: pointer;
	color: #4285f4;
	font-size: 20px;
	transition: color 0.3s;
}

.search-history {
	display: none;
	position: absolute;
	width: 100%;
	background-color: #fff;
	border-bottom-left-radius: 24px;
	border-bottom-right-radius: 24px;
	padding-bottom: 20px;
	overflow: hidden;
	cursor: default;
	z-index: 50;
	border: 1px solid #19191933;
	border-top: none;
	box-sizing: border-box;
}
.search-history span{
	max-width: 100px;
	font-size: 14px;
	font-weight: 200;
	text-overflow: clip;
	overflow: hidden;
	white-space: nowrap;
}

.list-item {
	background-repeat: no-repeat;
	background-position: right 30px center;
	background-size: 16px;
	padding-right: 30px;
	padding-left: 15px;
	font-size: 16px;
	padding-top: 6px;
	padding-bottom: 6px;
	cursor: pointer;
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.list-item-clock {
	display: flex;
	align-items: center; /* Align items vertically */
	gap: 10px; /* Add some space between the icon and text */
}
.list-item-clock .search-history-icon {
	color: #4a4a4a;
}
.list-item-clock div {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	max-width: 600px;
}
.list-item-cross {
	display: none;
	flex-shrink: 0;
}

.list-item:hover .list-item-cross {
	display: block;
}

.list-item-clock {
	display: flex;
	gap: 10px;
}

.search-results hr {
	border: 0;
	border-top: 1px solid #e8eaed;
	margin: 0 14px;
	padding-bottom: 4px;
}

.list-item:hover {
	background-color: #eee;
}

.highlighted {
	background-color: #dcdcdc;
}
.plus-link .icon-wrap {
	background-color: #D3E3FD;
}

@media (max-width: 850px) {
	.search-wrapper {

		margin-top: 100px;
	}

}
@media (max-width: 750px) {
	.search-wrapper {
		width: 90%;
		margin-top: 100px;
	}
	.area-for-search {
		width: 100%;
		box-sizing: border-box;
	}
	.action-icons {
		right: 5%;
	}
	.dropdownList-content {
		height: 150px;
		overflow: auto;
	}


}

@media (max-width: 610px) {
	.links-area {
		width: 440px;
	}
	body {
		justify-content: space-between;
	}
}

.round-icon {
	width: 26px; /* Adjust size as needed */
	height: 26px; /* Adjust size as needed */
	border-radius: 20%;
	object-fit: cover; /* Ensures the image covers the container without distortion */
	display: inline-block;
}

.Main_Image {
	width: 450px;  /* Set the desired width */
	height: auto;  /* Maintain aspect ratio */
	display: block; /* Ensures the image behaves as a block element */
	padding-bottom: 50px; /* Adds padding below the image */
}

body.loading {
	visibility: hidden;
}